Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginMassShowerAction

    java.lang.Object
      javax.swing.AbstractAction
          jp.sbi.celldesigner.plugin.PluginDoSthAbstractAction
              jp.sbi.celldesigner.plugin.PluginMassShowerAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action, PluginActionListener

    public abstract class PluginMassShowerAction

extends PluginDoSthAbstractAction

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `OpenXlsFileErrorMsg`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`PluginMassShowerAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`boolean` | `isShowGuideMsg()`
`void` | `setShowGuideMsgFlg(boolean flg)`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginDoSthAbstractAction
`processMyAction`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jp.sbi.celldesigner.plugin.PluginActionListener
`myActionPerformed`

Field Detail

### OpenXlsFileErrorMsg

    public static final java.lang.String OpenXlsFileErrorMsg

See Also:
  Constant Field Values

Constructor Detail

### PluginMassShowerAction

    public PluginMassShowerAction()

Method Detail

### actionPerformed

    public final void actionPerformed(java.awt.event.ActionEvent e)

### setShowGuideMsgFlg

    public void setShowGuideMsgFlg(boolean flg)

### isShowGuideMsg

    public boolean isShowGuideMsg()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD